// Camera.h: interface for the CCamera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CAMERA_H__BDCC2032_04F1_48DB_A5FA_10A8726DEDC7__INCLUDED_)
#define AFX_CAMERA_H__BDCC2032_04F1_48DB_A5FA_10A8726DEDC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Common\Unknown.h"

#include "MathLibrary.h"

class CCamera : public CUnknown  
{
public:
	VECTOR3D m_rotate, m_position;

public:
	CCamera();
	virtual ~CCamera();

	virtual void Reset();
	virtual void Apply();
};

#endif // !defined(AFX_CAMERA_H__BDCC2032_04F1_48DB_A5FA_10A8726DEDC7__INCLUDED_)
